// CFormatEtc - a C++ class that wraps the FORMATETC structure.
// All ctor arguments have default values - no arguments are
// required for transferring text.
struct CFormatEtc : public FORMATETC
{
    CFormatEtc(CLIPFORMAT cf = CF_TEXT,
               DWORD dwTymed = TYMED_HGLOBAL,
               DWORD aspect = DVASPECT_CONTENT,
               DVTARGETDEVICE* ptd = NULL,
               LONG lindex = -1);
};

CFormatEtc::CFormatEtc(CLIPFORMAT cf,
                       DWORD dwTymed,
                       DWORD aspect,
                       DVTARGETDEVICE* pTargDevice,
                       LONG lDataIndex)
{
    cfFormat = cf;
    tymed = dwTymed;
    dwAspect = aspect;
    ptd = pTargDevice;
    lindex = lDataIndex;
}
